Uploaded image for project: 'Core Server'
  1. Core Server
  2. SERVER-26604

multiversion suite should use targeted linux builds

    XMLWordPrintable

    Details

    • Type: Task
    • Status: Closed
    • Priority: Major - P3
    • Resolution: Fixed
    • Affects Version/s: None
    • Fix Version/s: 3.4.0-rc3
    • Component/s: None
    • Labels:
      None
    • Backwards Compatibility:
      Fully Compatible
    • Sprint:
      Platforms 2016-10-31, Platforms 2016-11-21
    • Linked BF Score:
      0

      Description

      Currently, all Linux variants for the multiversion suite use the generic Linux/x86_64 build. The multiversion suite should instead use the targeted edition for each Linux variant, and only use the generic Linux build if a targeted build is not available for that version of MongoDB.

      This will more closely test what a customer upgrade scenario. It will have a secondary benefit of reducing the number of platforms we run the gccgo builds of the 3.2 version of mongorestore which fail often due to a gccgo bug.

        Attachments

          Activity

            People

            Assignee:
            matt.cotter Matt Cotter
            Reporter:
            mark.benvenuto Mark Benvenuto
            Participants:
            Votes:
            0 Vote for this issue
            Watchers:
            5 Start watching this issue

              Dates

              Created:
              Updated:
              Resolved: